Subject: bug#17362: 24.4.50; inconsistent key notation: `ESC' vs `<ESC>'

From: Josh <[email-masked]>
Date: Tue, 29 Apr 2014 14:55:30 -0700

On Tue, Apr 29, 2014 at 10:51 AM, Eli Zaretskii <[email-masked]> wrote:
> > Date: Tue, 29 Apr 2014 10:27:03 -0700 (PDT)
> > From: Drew Adams <[email-masked]>
> > Cc: [email-masked], [email-masked]
> >
> > > > Eli, are you saying that you have replaced <delete>, <backspace>, etc.
> > > > everywhere with <DELETE>, <BACKSPACE>, etc., or that you think it is
> > > > appropriate to do so?
> > >
> > > Only for BACKSPACE (and, of course, only in the manual).  It's still
> > > "Delete" (because that's the label on the key).  ESC and TAB and SPC
> > > and RET were always in caps, so they stay in caps.
> >
> > <Delete> is not how Emacs refers to the key in help.  And neither is
> > <BACKSPACE>.  Emacs help calls these <delete> and <backspace>, AFAICT.
>
> I'm not talking about help, I'm only talking about the manual.  The
> bug report was about inconsistencies in the manual.  At least that's
> how I perceived it, and that's the only issue I set out to fix.

Sorry to be mentioning this after you committed your changes, but I
wanted to comment about the impact of these changes on new users.
Difficulty specifying key bindings correctly is fairly common among
newer users, and I think that this difficulty is worsened by
occurrences in the documentation of non-canonical (with respect to
kbd arguments) key notation.  There's an EmacsWiki page[0] about key
binding notation that reads in part, "Use C-h k to find out how Emacs
describes the key sequence, and copy & paste that into your kbd
string."  It would be good if the info manual used the same notation.

http://www.emacswiki.org/cgi-bin/wiki?KeyBindingNotation

Josh